
Distribution EOLE - Tâche #35089

Scénario # 35154 (Terminé (Sprint)): Diverses améliorations à intégrer sur la sauvegarde Bareos

bareos : si beaucoup de fichier il n'y a pas d'envoi de mail des sauvegardes incrémentales

26/11/2022 14:29 - Emmanuel GARETTE

Statut: Fermé Début: 26/11/2022

Priorité: Normal Echéance:  

Assigné à: Benjamin Bohard % réalisé: 100%

Version cible: Livraison Cadoles 31/03/2023 Temps estimé: 0.00 heure

  Temps passé: 0.00 heure

Description

Sur des serveurs, je ne reçois pas les mails des sauvegardes incrémentales :

Message delivery ERROR: Mail program terminated in error.#012CMD=/usr/bin/mutt -n -e "set from=xxx

xx copy=no use_envelope_from=yes send_charset=utf-8 tmpdir=~bareos" -s 'OK : 0211400H sauvegarde "

xxxxx" xxxxxxxxxx' -- xxxxx#012ERR=Child exited with code 1

 

En fait, le problème est que le mail est tellement énorme que mutt refuse l'envoi du mail.

Chaque fichier non modifié est précisé dans le mail.

J'ai une nombre incalculable de ligne : "JobId 6249: Unchanged file skipped: /home/adhomes/xxxxxxxxxxxxxxxxxx"

Cette information est peut être intéressante sur un serveur petit (et encore) mais pas sur tous les serveurs. Mais dans ce cas il vaut

mieux mettre l'information dans les logs et pas le mail.

Si on regarde la configuration de bareos on voit :

  console = all, !skipped, !saved

  syslog = all, !skipped, !saved

 

Mais :

  Mail = xxxxxx = all

 

Je pense qu'il faudrait rester cohérent et ne pas envoyer les messages skipped et saved pour les mails.

Donc mettre :

  Mail = xxxxxxxxxxxx = all, !skipped, !saved

 

→ vérifier la pertinence de la modification proposée pour les différentes lignes ayant uniquement "all" :

eole-bareos/tmpl$ rgrep "all$" 

bareos-dir.conf:  MailOnError = %%mail_error = all

bareos-dir.conf:  Mail = %%mail_ok = all

bareos-dir.conf:  MailOnError = %%mail_error, %%mail_ok = all

bareos-dir.conf:  MailOnError = %%mail_error = all
bareos-dir.conf:  MailOnError = %%mail_ok = all

bareos-dir.conf:  MailOnError = %%mail_error, %%mail_ok = all

bareos-dir.conf:  MailOnError = %%mail_error = all

bareos-dir.conf:  MailOnError = %%mail_ok = all

bareos-sd.conf:  director = %%bareos_dir_name = all

bareos-sd.conf:  director = %%bareos_dir = all

bareos-fd.conf:  director = %%bareos_fd_remote_dir_name = all

Révisions associées

Révision c46cc47e - 23/02/2023 11:17 - Benjamin Bohard

Limiter le contenu des courriels envoyés par bareos.

Ref #35089

Révision c888bc50 - 03/04/2023 11:55 - Laurent Gourvenec

Envoi des messages d'erreurs (les catégories étaient trop restreintes)

Ref #35089

Ref #35082

Historique

#1 - 15/12/2022 11:46 - Joël Cuissinat

- Tâche parente mis à #34668

#2 - 15/12/2022 11:51 - Joël Cuissinat

- Description mis à jour

- Release mis à EOLE 2.8.0.1

- Points de scénarios mis à 1.0

#3 - 06/01/2023 15:39 - Joël Cuissinat

- Tâche parente changé de #34668 à #35154

#4 - 23/02/2023 10:43 - Benjamin Bohard

Exemple de sortie avec all (paramètre actuel) puis info:

23-févr. 10:37 scribe-dir JobId 2: shell command: run BeforeJob "sudo /usr/share/eole/sbin/bareosconfig.py --l

ock --daemon=scribe-dir --jobID=2 --backup_progress --jobType=sauvegarde" 

23-févr. 10:37 scribe-dir JobId 2: BeforeJob:

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: *** Espace disponible ***

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: Espace disponible sur le support : 3.2GiB (3485212672)

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: Espace disponible pouvant être réutilisé : 0.0B (0)

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: Espace disponible total : 3.2GiB (3485212672)

23-févr. 10:37 scribe-dir JobId 2: BeforeJob:

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: *** Dernière estimation de la sauvegarde Totale : ***

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: 60.9MiB (63861540) Calculé le 2023-02-23 01:00:01.753072

23-févr. 10:37 scribe-dir JobId 2: BeforeJob:

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: *** Tailles des dernières sauvegardes : ***

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: Totale (dernière) : 0.0B (0)

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: Différentielle (moyenne) : 0.0B (0)

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: Incrémentale (moyenne): 0.0B (0)

23-févr. 10:37 scribe-dir JobId 2: shell command: run BeforeJob "sudo /usr/share/eole/sbin/bareosmount.py --mo

unt" 

23-févr. 10:37 scribe-dir JobId 2: BeforeJob: Montage OK

23-févr. 10:37 scribe-dir JobId 2: Start Backup JobId 2, Job=JobSauvegarde.2023-02-23_10.37.19_20

23-févr. 10:37 scribe-dir JobId 2: Connected Storage daemon at 127.0.0.1:9103, encryption: TLS_CHACHA20_POLY13

05_SHA256 TLSv1.3
23-févr. 10:37 scribe-dir JobId 2: Created new Volume "scribe-dir-full-0002" in catalog.

23-févr. 10:37 scribe-dir JobId 2: Using Device "FileStorage" to write.

23-févr. 10:37 scribe-dir JobId 2: Connected Client: scribe_fd at 127.0.0.1:9102, encryption: TLS_CHACHA20_POL

Y1305_SHA256 TLSv1.3

23-févr. 10:37 scribe-dir JobId 2:  Handshake: Immediate TLS 23-févr. 10:37 scribe-dir JobId 2:  Encryption: T

LS_CHACHA20_POLY1305_SHA256 TLSv1.3

23-févr. 10:37 scribe_fd JobId 2: Connected Storage daemon at 127.0.0.1:9103, encryption: TLS_CHACHA20_POLY130

5_SHA256 TLSv1.3

23-févr. 10:37 scribe_fd JobId 2: shell command: run ClientBeforeJob "sudo /usr/share/eole/sbin/bareosconfig.p

y --lock --dir=scribe-dir --daemon=scribe_fd --jobID=2 --backup_progress --jobType=sauvegarde" 

23-févr. 10:37 scribe_fd JobId 2: ClientBeforeJob: Lock système déjà placé : ['/var/lock/eole/eole-system/scri

be-dir']

23-févr. 10:37 scribe_fd JobId 2: ClientBeforeJob: Inutile de placer un lock supplémentaire

23-févr. 10:37 scribe_fd JobId 2: Extended attribute support is enabled

23-févr. 10:37 scribe_fd JobId 2: ACL support is enabled

23-févr. 10:37 scribe-sd JobId 2: Labeled new Volume "scribe-dir-full-0002" on device "FileStorage" (/mnt/sauv

egardes).

23-févr. 10:37 scribe-sd JobId 2: Wrote label to prelabeled Volume "scribe-dir-full-0002" on device "FileStora

ge" (/mnt/sauvegardes)

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/n

tp_signd/socket

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/w

inbindd_privileged/pipe

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/ldapi

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/86

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2280

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2231

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/146

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/142

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3036

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3107

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/79

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2295

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3031

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2226

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3005

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2281

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2236

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/91

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3060

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/134

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/117

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3088

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3047

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/92

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/133

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/87

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/144

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2229
23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3083

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/209

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2240

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3071

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2285

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/2265

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/94

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/msg.sock/3105

23-févr. 10:37 scribe_fd JobId 2:      Socket file skipped: /var/lib/lxc/addc/rootfs/home/backup/samba/samba/p

rivate/ldap_priv/ldapi

23-févr. 10:37 scribe_fd JobId 2:      Could not stat "/etc/eole/dhcp.json": ERR=Aucun fichier ou dossier de c

e type

23-févr. 10:37 scribe_fd JobId 2: shell command: run ClientAfterJob "sudo /usr/share/eole/sbin/bareosconfig.py

 --unlock --dir=scribe-dir --daemon=scribe_fd --jobID=2 --backup_ok --jobType=sauvegarde" 

23-févr. 10:37 scribe-sd JobId 2: Releasing device "FileStorage" (/mnt/sauvegardes).

23-févr. 10:37 scribe-sd JobId 2: Elapsed time=00:00:02, Transfer rate=28.82 M Bytes/second

23-févr. 10:37 scribe-dir JobId 2: Insert of attributes batch table with 3217 entries start

23-févr. 10:37 scribe-dir JobId 2: Insert of attributes batch table done

23-févr. 10:37 scribe-dir JobId 2: Bareos scribe-dir 20.0.0 (16Dec20):

  Build OS:               Ubuntu 20.04.1 LTS

  JobId:                  2

  Job:                    JobSauvegarde.2023-02-23_10.37.19_20

  Backup Level:           Full

  Client:                 "scribe_fd" 20.0.0 (16Dec20) Ubuntu 20.04.1 LTS,ubuntu

  FileSet:                "FileSetSauvegarde" 2023-02-22 13:00:01

  Pool:                   "Full-Pool" (From Job FullPool override)

  Catalog:                "MyCatalog" (From Client resource)

  Storage:                "scribe-sd" (From Job resource)

  Scheduled time:         23-févr.-2023 10:37:19

  Start time:             23-févr.-2023 10:37:46

  End time:               23-févr.-2023 10:37:49

  Elapsed time:           3 secs

  Priority:               20

  FD Files Written:       3,217

  SD Files Written:       3,217

  FD Bytes Written:       57,213,424 (57.21 MB)

  SD Bytes Written:       57,644,200 (57.64 MB)

  Rate:                   19071.1 KB/s

  Software Compression:   50.1 % (lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4)

  VSS:                    no

  Encryption:             no

  Accurate:               no

  Volume name(s):         scribe-dir-full-0002

  Volume Session Id:      2

  Volume Session Time:    1677144769

  Last Volume Bytes:      57,774,797 (57.77 MB)

  Non-fatal FD errors:    1

  SD Errors:              0

  FD termination status:  OK

  SD termination status:  OK

  Bareos binary info:     bareos.org build: Get official binaries and vendor support on bareos.com

  Job triggered by:       User

  Termination:            Backup OK -- with warnings

23-févr. 10:37 scribe-dir JobId 2: console command: run AfterJob ".bvfs_update" 

23-févr. 10:37 scribe-dir JobId 2: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosmount.py --umo

unt" 

23-févr. 10:37 scribe-dir JobId 2: AfterJob:

23-févr. 10:37 scribe-dir JobId 2: AfterJob: *** Espace disponible ***

23-févr. 10:37 scribe-dir JobId 2: AfterJob: Espace disponible sur le support : 3.2GiB (3427434496)

23-févr. 10:37 scribe-dir JobId 2: AfterJob: Espace disponible pouvant être réutilisé : 0.0B (0)

23-févr. 10:37 scribe-dir JobId 2: AfterJob: Espace disponible total : 3.2GiB (3427434496)

23-févr. 10:37 scribe-dir JobId 2: AfterJob:

23-févr. 10:37 scribe-dir JobId 2: AfterJob: *** Dernière estimation de la sauvegarde Totale : ***

23-févr. 10:37 scribe-dir JobId 2: AfterJob: 60.9MiB (63861540) Calculé le 2023-02-23 01:00:01.753072

23-févr. 10:37 scribe-dir JobId 2: AfterJob:

23-févr. 10:37 scribe-dir JobId 2: AfterJob: *** Tailles des dernières sauvegardes : ***
23-févr. 10:37 scribe-dir JobId 2: AfterJob: Totale (dernière) : 54.6MiB (57213424)

23-févr. 10:37 scribe-dir JobId 2: AfterJob: Différentielle (moyenne) : 0.0B (0)

23-févr. 10:37 scribe-dir JobId 2: AfterJob: Incrémentale (moyenne): 0.0B (0)

23-févr. 10:37 scribe-dir JobId 2: AfterJob: Démontage OK

23-févr. 10:37 scribe-dir JobId 2: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosconfig.py --un

lock --daemon=scribe-dir --jobID=2 --backup_ok --jobType=sauvegarde" 

 

23-févr. 10:40 scribe-dir JobId 5: shell command: run BeforeJob "sudo /usr/share/eole/sbin/bareosconfig.py --l

ock --daemon=scribe-dir --jobID=5 --backup_progress --jobType=sauvegarde" 

23-févr. 10:40 scribe-dir JobId 5: BeforeJob:

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: *** Espace disponible ***

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: Espace disponible sur le support : 3.2GiB (3426963456)

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: Espace disponible pouvant être réutilisé : 0.0B (0)

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: Espace disponible total : 3.2GiB (3426963456)

23-févr. 10:40 scribe-dir JobId 5: BeforeJob:

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: *** Dernière estimation de la sauvegarde Totale : ***

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: 60.9MiB (63861540) Calculé le 2023-02-23 01:00:01.753072

23-févr. 10:40 scribe-dir JobId 5: BeforeJob:

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: *** Tailles des dernières sauvegardes : ***

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: Totale (dernière) : 54.6MiB (57213424)

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: Différentielle (moyenne) : 0.0B (0)

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: Incrémentale (moyenne): 0.0B (0)

23-févr. 10:40 scribe-dir JobId 5: shell command: run BeforeJob "sudo /usr/share/eole/sbin/bareosmount.py --mo

unt" 

23-févr. 10:40 scribe-dir JobId 5: BeforeJob: Montage OK

23-févr. 10:40 scribe-dir JobId 5: Start Backup JobId 5, Job=JobSauvegarde.2023-02-23_10.39.41_10

23-févr. 10:40 scribe-dir JobId 5: Connected Storage daemon at 127.0.0.1:9103, encryption: TLS_CHACHA20_POLY13

05_SHA256 TLSv1.3

23-févr. 10:40 scribe-dir JobId 5: Using Device "FileStorage" to write.

23-févr. 10:40 scribe-dir JobId 5: Connected Client: scribe_fd at 127.0.0.1:9102, encryption: TLS_CHACHA20_POL

Y1305_SHA256 TLSv1.3

23-févr. 10:40 scribe-dir JobId 5:  Handshake: Immediate TLS 23-févr. 10:40 scribe-dir JobId 5:  Encryption: T

LS_CHACHA20_POLY1305_SHA256 TLSv1.3

23-févr. 10:40 scribe_fd JobId 5: Connected Storage daemon at 127.0.0.1:9103, encryption: TLS_CHACHA20_POLY130

5_SHA256 TLSv1.3

23-févr. 10:40 scribe_fd JobId 5: shell command: run ClientBeforeJob "sudo /usr/share/eole/sbin/bareosconfig.p

y --lock --dir=scribe-dir --daemon=scribe_fd --jobID=5 --backup_progress --jobType=sauvegarde" 

23-févr. 10:40 scribe_fd JobId 5: ClientBeforeJob: Lock système déjà placé : ['/var/lock/eole/eole-system/scri

be-dir']

23-févr. 10:40 scribe_fd JobId 5: ClientBeforeJob: Inutile de placer un lock supplémentaire

23-févr. 10:40 scribe_fd JobId 5: Extended attribute support is enabled

23-févr. 10:40 scribe_fd JobId 5: ACL support is enabled

23-févr. 10:40 scribe-sd JobId 5: Volume "scribe-dir-full-0002" previously written, moving to end of data.

23-févr. 10:40 scribe-sd JobId 5: Ready to append to end of Volume "scribe-dir-full-0002" size=57774797

23-févr. 10:40 scribe_fd JobId 5: shell command: run ClientAfterJob "sudo /usr/share/eole/sbin/bareosconfig.py

 --unlock --dir=scribe-dir --daemon=scribe_fd --jobID=5 --backup_ok --jobType=sauvegarde" 

23-févr. 10:40 scribe-sd JobId 5: Releasing device "FileStorage" (/mnt/sauvegardes).

23-févr. 10:40 scribe-sd JobId 5: Elapsed time=00:00:02, Transfer rate=28.86 M Bytes/second

23-févr. 10:40 scribe-dir JobId 5: Insert of attributes batch table with 3218 entries start

23-févr. 10:40 scribe-dir JobId 5: Insert of attributes batch table done

23-févr. 10:40 scribe-dir JobId 5: Bareos scribe-dir 20.0.0 (16Dec20):

  Build OS:               Ubuntu 20.04.1 LTS

  JobId:                  5

  Job:                    JobSauvegarde.2023-02-23_10.39.41_10

  Backup Level:           Full

  Client:                 "scribe_fd" 20.0.0 (16Dec20) Ubuntu 20.04.1 LTS,ubuntu

  FileSet:                "FileSetSauvegarde" 2023-02-22 13:00:01

  Pool:                   "Full-Pool" (From Job FullPool override)

  Catalog:                "MyCatalog" (From Client resource)

  Storage:                "scribe-sd" (From Job resource)

  Scheduled time:         23-févr.-2023 10:39:41

  Start time:             23-févr.-2023 10:40:06

  End time:               23-févr.-2023 10:40:08

  Elapsed time:           2 secs

  Priority:               20

  FD Files Written:       3,218

  SD Files Written:       3,218

  FD Bytes Written:       57,300,612 (57.30 MB)

  SD Bytes Written:       57,731,548 (57.73 MB)

  Rate:                   28650.3 KB/s

  Software Compression:   50.1 % (lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4)

  VSS:                    no
  Encryption:             no

  Accurate:               no

  Volume name(s):         scribe-dir-full-0002

  Volume Session Id:      5

  Volume Session Time:    1677144769

  Last Volume Bytes:      115,636,841 (115.6 MB)

  Non-fatal FD errors:    1

  SD Errors:              0

  FD termination status:  OK

  SD termination status:  OK

  Bareos binary info:     bareos.org build: Get official binaries and vendor support on bareos.com

  Job triggered by:       User

  Termination:            Backup OK -- with warnings

23-févr. 10:40 scribe-dir JobId 5: console command: run AfterJob ".bvfs_update" 

23-févr. 10:40 scribe-dir JobId 5: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosmount.py --umo

unt" 

23-févr. 10:40 scribe-dir JobId 5: AfterJob:

23-févr. 10:40 scribe-dir JobId 5: AfterJob: *** Espace disponible ***

23-févr. 10:40 scribe-dir JobId 5: AfterJob: Espace disponible sur le support : 3.1GiB (3369103360)

23-févr. 10:40 scribe-dir JobId 5: AfterJob: Espace disponible pouvant être réutilisé : 0.0B (0)

23-févr. 10:40 scribe-dir JobId 5: AfterJob: Espace disponible total : 3.1GiB (3369103360)

23-févr. 10:40 scribe-dir JobId 5: AfterJob:

23-févr. 10:40 scribe-dir JobId 5: AfterJob: *** Dernière estimation de la sauvegarde Totale : ***

23-févr. 10:40 scribe-dir JobId 5: AfterJob: 60.9MiB (63861540) Calculé le 2023-02-23 01:00:01.753072

23-févr. 10:40 scribe-dir JobId 5: AfterJob:

23-févr. 10:40 scribe-dir JobId 5: AfterJob: *** Tailles des dernières sauvegardes : ***

23-févr. 10:40 scribe-dir JobId 5: AfterJob: Totale (dernière) : 54.6MiB (57300612)

23-févr. 10:40 scribe-dir JobId 5: AfterJob: Différentielle (moyenne) : 0.0B (0)

23-févr. 10:40 scribe-dir JobId 5: AfterJob: Incrémentale (moyenne): 0.0B (0)

23-févr. 10:40 scribe-dir JobId 5: AfterJob: Démontage OK

23-févr. 10:40 scribe-dir JobId 5: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosconfig.py --un

lock --daemon=scribe-dir --jobID=5 --backup_ok --jobType=sauvegarde" 

#5 - 23/02/2023 10:48 - Benjamin Bohard

Suivi par une incrémentale, toujours avec les messages de type info uniquement :

23-févr. 10:47 scribe-dir JobId 8: shell command: run BeforeJob "sudo /usr/share/eole/sbin/bareosconfig.py --l

ock --daemon=scribe-dir --jobID=8 --backup_progress --jobType=sauvegarde" 
23-févr. 10:47 scribe-dir JobId 8: BeforeJob:

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: *** Espace disponible ***

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: Espace disponible sur le support : 3.1GiB (3368763392)

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: Espace disponible pouvant être réutilisé : 0.0B (0)

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: Espace disponible total : 3.1GiB (3368763392)

23-févr. 10:47 scribe-dir JobId 8: BeforeJob:

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: *** Dernière estimation de la sauvegarde Totale : ***

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: 60.9MiB (63861540) Calculé le 2023-02-23 01:00:01.753072

23-févr. 10:47 scribe-dir JobId 8: BeforeJob:

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: *** Tailles des dernières sauvegardes : ***

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: Totale (dernière) : 54.6MiB (57300612)

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: Différentielle (moyenne) : 0.0B (0)

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: Incrémentale (moyenne): 0.0B (0)

23-févr. 10:47 scribe-dir JobId 8: shell command: run BeforeJob "sudo /usr/share/eole/sbin/bareosmount.py --mo

unt" 

23-févr. 10:47 scribe-dir JobId 8: BeforeJob: Montage OK

23-févr. 10:47 scribe-dir JobId 8: Start Backup JobId 8, Job=JobSauvegarde.2023-02-23_10.46.54_50

23-févr. 10:47 scribe-dir JobId 8: Connected Storage daemon at 127.0.0.1:9103, encryption: TLS_CHACHA20_POLY13

05_SHA256 TLSv1.3

23-févr. 10:47 scribe-dir JobId 8: Created new Volume "scribe-dir-inc-0004" in catalog.

23-févr. 10:47 scribe-dir JobId 8: Using Device "FileStorage" to write.

23-févr. 10:47 scribe-dir JobId 8: Connected Client: scribe_fd at 127.0.0.1:9102, encryption: TLS_CHACHA20_POL

Y1305_SHA256 TLSv1.3

23-févr. 10:47 scribe-dir JobId 8:  Handshake: Immediate TLS 23-févr. 10:47 scribe-dir JobId 8:  Encryption: T

LS_CHACHA20_POLY1305_SHA256 TLSv1.3

23-févr. 10:47 scribe_fd JobId 8: Connected Storage daemon at 127.0.0.1:9103, encryption: TLS_CHACHA20_POLY130

5_SHA256 TLSv1.3

23-févr. 10:47 scribe_fd JobId 8: shell command: run ClientBeforeJob "sudo /usr/share/eole/sbin/bareosconfig.p

y --lock --dir=scribe-dir --daemon=scribe_fd --jobID=8 --backup_progress --jobType=sauvegarde" 

23-févr. 10:47 scribe_fd JobId 8: ClientBeforeJob: Lock système déjà placé : ['/var/lock/eole/eole-system/scri

be-dir']

23-févr. 10:47 scribe_fd JobId 8: ClientBeforeJob: Inutile de placer un lock supplémentaire

23-févr. 10:47 scribe_fd JobId 8: Extended attribute support is enabled

23-févr. 10:47 scribe_fd JobId 8: ACL support is enabled

23-févr. 10:47 scribe-sd JobId 8: Labeled new Volume "scribe-dir-inc-0004" on device "FileStorage" (/mnt/sauve

gardes).

23-févr. 10:47 scribe-sd JobId 8: Wrote label to prelabeled Volume "scribe-dir-inc-0004" on device "FileStorag

e" (/mnt/sauvegardes)

23-févr. 10:47 scribe-sd JobId 8: Releasing device "FileStorage" (/mnt/sauvegardes).

23-févr. 10:47 scribe_fd JobId 8: shell command: run ClientAfterJob "sudo /usr/share/eole/sbin/bareosconfig.py

 --unlock --dir=scribe-dir --daemon=scribe_fd --jobID=8 --backup_ok --jobType=sauvegarde" 

23-févr. 10:47 scribe-sd JobId 8: Elapsed time=00:00:01, Transfer rate=2.247 M Bytes/second

23-févr. 10:47 scribe-dir JobId 8: Insert of attributes batch table with 39 entries start

23-févr. 10:47 scribe-dir JobId 8: Insert of attributes batch table done

23-févr. 10:47 scribe-dir JobId 8: Bareos scribe-dir 20.0.0 (16Dec20):

  Build OS:               Ubuntu 20.04.1 LTS

  JobId:                  8

  Job:                    JobSauvegarde.2023-02-23_10.46.54_50

  Backup Level:           Incremental, since=2023-02-23 10:40:06

  Client:                 "scribe_fd" 20.0.0 (16Dec20) Ubuntu 20.04.1 LTS,ubuntu

  FileSet:                "FileSetSauvegarde" 2023-02-22 13:00:01

  Pool:                   "Inc-Pool" (From Job IncPool override)

  Catalog:                "MyCatalog" (From Client resource)

  Storage:                "scribe-sd" (From Job resource)

  Scheduled time:         23-févr.-2023 10:46:54

  Start time:             23-févr.-2023 10:47:21

  End time:               23-févr.-2023 10:47:21

  Elapsed time:           0 secs

  Priority:               20

  FD Files Written:       39

  SD Files Written:       39

  FD Bytes Written:       2,243,058 (2.243 MB)

  SD Bytes Written:       2,247,693 (2.247 MB)

  Rate:                   0.0 KB/s

  Software Compression:   80.0 % (lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4,lz4)

  VSS:                    no

  Encryption:             no

  Accurate:               no

  Volume name(s):         scribe-dir-inc-0004

  Volume Session Id:      8

  Volume Session Time:    1677144769

  Last Volume Bytes:      2,252,538 (2.252 MB)

  Non-fatal FD errors:    1

  SD Errors:              0

  FD termination status:  OK
  SD termination status:  OK

  Bareos binary info:     bareos.org build: Get official binaries and vendor support on bareos.com

  Job triggered by:       User

  Termination:            Backup OK -- with warnings

23-févr. 10:47 scribe-dir JobId 8: console command: run AfterJob ".bvfs_update" 

23-févr. 10:47 scribe-dir JobId 8: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosmount.py --umo

unt" 

23-févr. 10:47 scribe-dir JobId 8: AfterJob:

23-févr. 10:47 scribe-dir JobId 8: AfterJob: *** Espace disponible ***

23-févr. 10:47 scribe-dir JobId 8: AfterJob: Espace disponible sur le support : 3.1GiB (3366510592)

23-févr. 10:47 scribe-dir JobId 8: AfterJob: Espace disponible pouvant être réutilisé : 0.0B (0)

23-févr. 10:47 scribe-dir JobId 8: AfterJob: Espace disponible total : 3.1GiB (3366510592)

23-févr. 10:47 scribe-dir JobId 8: AfterJob:

23-févr. 10:47 scribe-dir JobId 8: AfterJob: *** Dernière estimation de la sauvegarde Totale : ***

23-févr. 10:47 scribe-dir JobId 8: AfterJob: 60.9MiB (63861540) Calculé le 2023-02-23 01:00:01.753072

23-févr. 10:47 scribe-dir JobId 8: AfterJob:

23-févr. 10:47 scribe-dir JobId 8: AfterJob: *** Tailles des dernières sauvegardes : ***

23-févr. 10:47 scribe-dir JobId 8: AfterJob: Totale (dernière) : 54.6MiB (57300612)

23-févr. 10:47 scribe-dir JobId 8: AfterJob: Différentielle (moyenne) : 0.0B (0)

23-févr. 10:47 scribe-dir JobId 8: AfterJob: Incrémentale (moyenne): 2.1MiB (2243058.0)

23-févr. 10:47 scribe-dir JobId 8: AfterJob: Démontage OK

23-févr. 10:47 scribe-dir JobId 8: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosconfig.py --un

lock --daemon=scribe-dir --jobID=8 --backup_ok --jobType=sauvegarde" 

 

On évite la liste des fichiers ignorés parce que non modifiés.

#6 - 23/02/2023 11:10 - Benjamin Bohard

Cas d’une sauvegarde en erreur pour cause de lock présent, avec les messages du type fatal et terminate :

23-févr. 11:09 scribe-dir JobId 20: shell command: run BeforeJob "sudo /usr/share/eole/sbin/bareosconfig.py --

lock --daemon=scribe-dir --jobID=20 --backup_progress --jobType=sauvegarde" 

23-févr. 11:09 scribe-dir JobId 20: BeforeJob: Lock déjà présent : /var/lock/eole/eole-system/eolesauvegarde

23-févr. 11:09 scribe-dir JobId 20: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosmount.py --um

ount" 

23-févr. 11:09 scribe-dir JobId 20: AfterJob:

23-févr. 11:09 scribe-dir JobId 20: AfterJob: *** Espace disponible ***

23-févr. 11:09 scribe-dir JobId 20: AfterJob: Espace disponible sur le support : 3.1GiB (3361857536)

23-févr. 11:09 scribe-dir JobId 20: AfterJob: Espace disponible pouvant être réutilisé : 2.8GiB (3000000000)

23-févr. 11:09 scribe-dir JobId 20: AfterJob: Espace disponible total : 5.9GiB (6361857536)

23-févr. 11:09 scribe-dir JobId 20: AfterJob:

23-févr. 11:09 scribe-dir JobId 20: AfterJob: *** Dernière estimation de la sauvegarde Totale : ***
23-févr. 11:09 scribe-dir JobId 20: AfterJob: 60.9MiB (63861540) Calculé le 2023-02-23 01:00:01.753072

23-févr. 11:09 scribe-dir JobId 20: AfterJob:

23-févr. 11:09 scribe-dir JobId 20: AfterJob: *** Tailles des dernières sauvegardes : ***

23-févr. 11:09 scribe-dir JobId 20: AfterJob: Totale (dernière) : 54.6MiB (57300612)

23-févr. 11:09 scribe-dir JobId 20: AfterJob: Différentielle (moyenne) : 0.0B (0)

23-févr. 11:09 scribe-dir JobId 20: AfterJob: Incrémentale (moyenne): 2.2MiB (2269980.6666666665)

23-févr. 11:09 scribe-dir JobId 20: AfterJob: Démontage OK

23-févr. 11:09 scribe-dir JobId 20: shell command: run AfterJob "sudo /usr/share/eole/sbin/bareosconfig.py --u

nlock --daemon=scribe-dir --jobID=20 --backup_err --jobType=sauvegarde" 

#7 - 23/02/2023 11:14 - Benjamin Bohard

Cas d’erreur pour cause de FD arrêté (toujours fatal et terminate) :

23-févr. 11:12 scribe-dir JobId 22: Fatal error: Socket error on RunBeforeNow command: ERR=Aucune donnée dispo

nible

23-févr. 11:12 scribe-dir JobId 22: Fatal error: Client "scribe_fd" RunScript failed.

23-févr. 11:12 scribe-dir JobId 22: Fatal error: Network error with FD during Backup: ERR=Aucune donnée dispon

ible

23-févr. 11:12 scribe-dir JobId 22: Fatal error: No Job status returned from FD.

#8 - 23/02/2023 11:20 - Benjamin Bohard

- Statut changé de Nouveau à En cours

- Assigné à mis à Benjamin Bohard

#9 - 27/02/2023 14:15 - Benjamin Bohard

- Statut changé de En cours à À valider

#10 - 13/03/2023 15:45 - Benjamin Bohard

- % réalisé changé de 0 à 100

#11 - 03/04/2023 12:33 - Laurent Gourvenec

- Statut changé de À valider à Résolu

#12 - 04/04/2023 15:09 - Joël Cuissinat

- Statut changé de Résolu à Fermé

- Restant à faire (heures) mis à 0.0

Modifications réalisées pour EOLE ≥ 2.8.0.
